<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
    exclude-result-prefixes="xs str" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:function name="str:nejakeVelkePismeno" as="xs:string">
    <xsl:param name="s" as="xs:string"/>
    <xsl:param name="index" as="xs:integer"/>
    <xsl:variable name="zacatek" 
                  select="lower-case(substring($s, 1, $index - 1))"/>
    <xsl:variable name="velke" 
                  select="upper-case(substring($s, $index, 1))"/>
    <xsl:variable name="konec" 
                  select="lower-case(substring($s, $index + 1))"/>
    <xsl:sequence select="concat($zacatek, $velke, $konec)"/>
  </xsl:function>

  <xsl:template match="/jidlo">
    <html>
      <head></head>
      <body>
        <xsl:for-each select="ovoce">
<!--          <xsl:value-of select="str:nejakeVelkePismeno(nazev, xs:integer(@cislo + 2))"/>-->
          <xsl:value-of select="str:nejakeVelkePismeno(nazev, xs:integer(@cislo) + 2)"/>
          <!--          <xsl:value-of select="str:nejakeVelkePismeno(nazev, @cislo + 2)"/>-->

          <xsl:if test="not(position() = last())">
            <xsl:text>, </xsl:text>
          </xsl:if>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
