<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>
  
  <xsl:variable name="jmenoCisZbozi" 
                select="'ciselnik-jineho-zbozi.xml'"/>
    
  <xsl:variable name="cisZbozi">
    <xsl:choose>
      <xsl:when test="doc-available($jmenoCisZbozi)">
        <xsl:copy-of select="doc($jmenoCisZbozi)"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:message terminate="yes">
          <xsl:value-of select="$jmenoCisZbozi"/> - soubor nenalezen
        </xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:template match="/pokladna">
    <xsl:text>Nákup:</xsl:text>
    <xsl:apply-templates select="polozka"/>
  </xsl:template>

  <xsl:template match="polozka">
    <xsl:variable name="varPolozka" select="."/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:for-each select="$cisZbozi/ciselnik/zbozi">
      <xsl:if test="@id = $varPolozka/@idZbozi">
        <xsl:value-of select="nazev"/>
        <xsl:value-of select="$varPolozka/mnozstvi"/>
        <xsl:value-of select="$varPolozka/mnozstvi/@jednotka"/>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
