<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce" 
  exclude-result-prefixes="str" 
  version="2.0">

  <!-- musi byt prvni instrukce -->
  <xsl:import href="import-volana.xsl"/>

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <!-- stejne jmeno -->
  <xsl:variable name="nadpis" select="'hlavní seznam ovocí:'"/>

  <xsl:template match="/jidlo">
    <xsl:value-of select="str:velkaPismena($nadpis)"/>

    <xsl:for-each select="ovoce">
      <xsl:call-template name="vypis">
        <xsl:with-param name="jmenoOvoce" select="nazev"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>

  <!-- zastinuje puvodni vypis - tento je podrobnejsi -->
  <xsl:template name="vypis">
    <xsl:param name="jmenoOvoce"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="str:velkaPismena($jmenoOvoce)"/>
    <xsl:text> za </xsl:text>
    <xsl:value-of select="$jmenoOvoce/@jednotkovaCena"/>
    <xsl:text> Kč/kg</xsl:text>
  </xsl:template>

</xsl:stylesheet>
