<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0">

  <xsl:output method="xml" encoding="UTF-8" 
              indent="yes"/>

  <xsl:param name="kodovani" select="'UTF-8'"/>
  <xsl:param name="jmenoSouboru" select="'jidlo.csv'"/>
  <xsl:variable name="obsahSouboru" 
         select="unparsed-text($jmenoSouboru, $kodovani)"/>

  <xsl:variable name="radky">
    <xsl:analyze-string select="$obsahSouboru" 
                        regex="^.*$" flags="m">
      <xsl:matching-substring>
        <ovoce>
          <xsl:value-of select="normalize-space(.)"/>
        </ovoce>
      </xsl:matching-substring>
    </xsl:analyze-string>
  </xsl:variable>

  <xsl:template name="prevodDoXML">
    <jidlo>
      <xsl:for-each select="$radky/ovoce">
        <xsl:analyze-string select="." 
               regex="(\d+);([0-9]+);(.+);(.+)\s*">
          <xsl:matching-substring>
            <ovoce cislo="{regex-group(1)}">
              <nazev jednotkovaCena="{regex-group(2)}">
                <xsl:value-of select="normalize-space(regex-group(3))"/>
              </nazev>
              <vaha>
                <xsl:value-of select="regex-group(4)"/>
              </vaha>
            </ovoce>
          </xsl:matching-substring>
          <xsl:non-matching-substring>
            <xsl:message>
              <xsl:text>Chyba ve vstupních datech: </xsl:text>
              <xsl:value-of select="."/>
            </xsl:message>
          </xsl:non-matching-substring>
        </xsl:analyze-string>
      </xsl:for-each>
    </jidlo>
  </xsl:template>

</xsl:stylesheet>
