<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:funkce="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
  exclude-result-prefixes="xs funkce"
  version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:variable name="jmenoCisZbozi" 
                select="'ciselnik-zbozi.xml'"/>

  <xsl:function name="funkce:nactiDokument" 
                as="document-node()">
    <xsl:param name="jmeno" as="xs:string"/>
    <xsl:choose>
      <xsl:when test="doc-available($jmeno)">
        <xsl:sequence select="doc($jmeno)"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:message terminate="yes">
          <xsl:value-of select="$jmeno"/> - soubor nenalezen </xsl:message>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>

  <xsl:variable name="cisZbozi" 
                select="funkce:nactiDokument($jmenoCisZbozi)"/>

  <xsl:function name="funkce:jmenoSouboru" as="xs:string">
    <xsl:param name="cislo" as="xs:integer"/>
    <xsl:sequence select="concat('zbozi', $cislo, '.html')"/>
  </xsl:function>

  <xsl:template match="/pokladna">
    <xsl:call-template name="souboryZbozi"/>
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:apply-templates select="polozka"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="polozka">
    <xsl:variable name="varPolozka" select="."/>
    <xsl:for-each select="$cisZbozi/ciselnik/zbozi">
      <xsl:if test="@id = $varPolozka/@idZbozi">
        <tr>
          <td>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="funkce:jmenoSouboru($varPolozka/@idZbozi)"/>
              </xsl:attribute>
              <xsl:value-of select="$varPolozka/@idZbozi"/>
            </a>
          </td>
          <td>
            <xsl:value-of select="$varPolozka/mnozstvi"/>
          </td>
        </tr>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="souboryZbozi">
    <xsl:for-each select="$cisZbozi/ciselnik/zbozi">
      <xsl:result-document href="{funkce:jmenoSouboru(@id)}">
        <html>
          <head></head>
          <body>
            <xsl:value-of select="nazev"/>
            <xsl:text> za </xsl:text>
            <xsl:value-of select="jednotkovaCena"/>
            <xsl:text> </xsl:text>
            <xsl:value-of select="jednotkovaCena/@mena"/>
          </body>
        </html>
      </xsl:result-document>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
