/**
 * Ukazkovy soubor pro spojeni Javy a XSLT
 * Zjistuje jmena a velikosti vybranych souboru ve zvolenem adresari
 * @author P.Herout
 * @version 2010-04-28
*/
 
import java.io.*;
import java.util.*;

/**
 * Hlavni trida
 */
public class Soubory {
  
  /**
   * vnitrni trida
   * slouzi pro filtrovani nalezenych souboru podle jejich pripony
   * pripona se zadava v konstruktoru
   */
  class FiltrPripony implements FilenameFilter{
    private String pripona;
    FiltrPripony(String pripona) {
      this.pripona = pripona;
    }
    
    /**
     * Filtr podle pripony
     * @param nevyuzito nevyuzity parametr - je vyzadovan definici metody v rozhrani
     * @param jmeno cele jmeno souboru
     * @return true, pokud pripona souboru vyhovuje zvolene pripone
     */
    public boolean accept(File nevyuzito, String jmeno) {
      if (jmeno.endsWith(this.pripona) == true) {
        return true;
      }
      else {
        return false;
      }
    }
  }
  
  /**
   * zjisti jmena souboru dane pripony v danem adresasi 
   * a vraci nazvy souboru a jejich velikosti oddelene strednikem
   * @param adresar kde se soubory hledaji
   * @param pripona hledana pripona souboru
   * @return retezec, udaje o kazdem souboru jsou na samostatne radce, jmeno_souboru;velikost
   */
  public String udajeOSouborech(String adresar, String pripona) {
    File dir = new File(adresar);
    File[] soubory = dir.listFiles(new FiltrPripony(pripona));
    StringBuffer sb = new StringBuffer(1000);
    for (int i = 0;  i < soubory.length;  i++) {
      sb.append(soubory[i].getName() + ";" + soubory[i].length()+ "\n");
    }
    return sb.toString();
  }
  
  /* jen pro vyzkouseni */
  public static void main(String[] args) {
    System.out.println(new Soubory().udajeOSouborech(".", "class"));
  }
}