<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:moje="Soubory"
    extension-element-prefixes="moje" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8" />

  <xsl:param name="pripona" select="'xsl'"/>
  <xsl:param name="adresar" select="'.'"/>

  <xsl:variable name="infoSoubory" 
    select="moje:udajeOSouborech(moje:new(), $adresar, $pripona)"/>

  <xsl:variable name="radky">
    <xsl:analyze-string select="$infoSoubory" regex="^.*$" flags="m">
      <xsl:matching-substring>
        <soubory>
          <xsl:value-of select="normalize-space(.)"/>
        </soubory>
      </xsl:matching-substring>
    </xsl:analyze-string>
  </xsl:variable>

  <xsl:template name="souboryVelikosti">
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:call-template name="vypis"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="vypis">
    <xsl:for-each select="$radky/soubory">
      <xsl:analyze-string select="." regex="^(.+);(\d+)\s*$">
        <xsl:matching-substring>
          <tr>
            <td>
              <xsl:value-of select="regex-group(1)"/>
            </td>
            <td align="right">
              <xsl:value-of select="regex-group(2)"/>
            </td>
          </tr>
        </xsl:matching-substring>
      </xsl:analyze-string>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
