<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:str="java.lang.String"
  xmlns:kal="java.util.GregorianCalendar"
  xmlns:funkce="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
  extension-element-prefixes="str kal" 
  version="2.0">

  <xsl:output method="text" 
              encoding="IBM852"/>
  
  <xsl:function name="funkce:hexaVypis" as="xs:string">
    <xsl:param name="cislo" as="xs:integer"/>
    <xsl:sequence select="str:format('%04X', $cislo)"/>
  </xsl:function>
  
  <xsl:template name="string">
    <xsl:text>Hex = </xsl:text>
    <xsl:value-of select="funkce:hexaVypis(26)"/>
    <xsl:text>&#xA;Oct = </xsl:text>
    <xsl:value-of select="str:format('%o', 26)"/>
    <xsl:text>&#xA;den = </xsl:text>
    <xsl:value-of select="str:format('%tA', kal:new())"/>
    <xsl:text>&#xA;měsíc = </xsl:text>
    <xsl:value-of select="str:format('%tB', kal:new(2010, kal:APRIL(), 28))"/>
    <xsl:text>&#xA;přestupný rok 2000 = </xsl:text>
    <xsl:value-of select="kal:isLeapYear(kal:new(), 2000)"/>
    <xsl:text>&#xA;přestupný rok 1900 = </xsl:text>
    <xsl:value-of select="funkce:jeRokPrestupny(1900)"/>
  </xsl:template>

  <xsl:function name="funkce:jeRokPrestupny" as="xs:boolean">
    <xsl:param name="rok" as="xs:integer"/>
    <xsl:sequence select="kal:isLeapYear(kal:new(), $rok)"/>
  </xsl:function>
  
</xsl:stylesheet>
