import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.Stroke;
import java.awt.geom.Ellipse2D;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;

import org.apache.batik.dom.GenericDOMImplementation;
import org.apache.batik.svggen.SVGGraphics2D;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;

public class Swing2DdoSVG {

  public static final String VYSTUP = "oval.svg";

  // funkce pro kresleni
  public static void paint(Graphics2D g2d) {
    g2d.setPaint(Color.YELLOW);
    g2d.fill(new Ellipse2D.Double(10, 10, 120, 60));
    g2d.setPaint(Color.RED);
    g2d.draw(new Ellipse2D.Double(10, 10, 120, 60));
    Font font = new Font("SansSerif", Font.BOLD, 30);
    g2d.setPaint(Color.BLUE);
    g2d.setFont(font);
    g2d.drawString("AHOJ", 30, 50);
  }

  public static void main(String[] args) throws IOException {
    // instance DOMImplementation
    DOMImplementation domImpl = GenericDOMImplementation.getDOMImplementation();

    // instance org.w3c.dom.Document.
    String svgNS = "http://www.w3.org/2000/svg";
    Document document = domImpl.createDocument(svgNS, "svg", null);

    // instance SVG generatoru bude ukladat do DOM
    SVGGraphics2D svgGenerator = new SVGGraphics2D(document);

    // paint() zapisuje do generatoru
    paint(svgGenerator);

    Writer zapis = new OutputStreamWriter(new FileOutputStream(VYSTUP), 
                                        "UTF-8");
    boolean pouzitiCSS = false; // nepouzivat CSS styly attributu
    svgGenerator.stream(zapis, pouzitiCSS);
  }
}