<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="2.0">

  <xsl:output method="xml"
              encoding="UTF-8"/>
  
  <xsl:variable name="xSloupec" select="100"/>
  <xsl:variable name="okraj" select="50"/>
  <xsl:variable name="yGraf" select="200"/>
  <xsl:variable name="fontNadpis" select="30"/>
  
  <!-- odvozene konstanty -->
  <xsl:variable name="xSloupecGraf" select="($xSloupec)*0.7"/>
  <xsl:variable name="maxCena" 
    select="max(for $x in //ovoce
            return $x/vaha * $x/nazev/@jednotkovaCena)"/>
  <xsl:variable name="yMeritko" select="(($yGraf) - ($fontNadpis)*2)div($maxCena)"/>
  
  <xsl:template match="jidlo">
    <xsl:variable name="xMax" select="count(ovoce)*$xSloupec"/>
    <!-- svg korenovy element -->
    <svg xmlns="http://www.w3.org/2000/svg" width="{$xMax+$okraj}px" height="{$yGraf+$okraj}px">
      <g id="bar" transform="translate(10,10)">
        <!-- svisla osa -->
        <line stroke="black" x1="0" y1="0" x2="0" y2="{$yGraf}"/>
        <!-- vodorovna osa -->
        <line stroke="black" x1="0" y1="{$yGraf}" x2="{$xMax}" y2="{$yGraf}"/>
        <text font-family="SansSerif" font-size="{$fontNadpis}" font-weight="bold"
          fill="blue" x="{($xMax)div(2)}" y="{$fontNadpis}" text-anchor="middle">
          Útrata za ovoce
        </text>
          
        <!-- spolecne nastaveni fontu pro popis ovoci -->
        <g font-family="SansSerif" font-size="{($fontNadpis)*0.5}"
          font-weight="normal" text-anchor="middle">
          
        <xsl:for-each select="ovoce">
          <xsl:variable name="xStred" select="(@cislo - 1)*$xSloupec + ($xSloupec)*0.5"/>
          
          <!-- popis na ose X -->
          <text x="{$xStred}" y="{$yGraf + ($fontNadpis)*0.5}">
            <xsl:value-of select="nazev"/>
          </text>
          <!-- cena sloupec -->
          <xsl:variable name="yVyska" select="nazev/@jednotkovaCena*vaha*$yMeritko"/>
          <xsl:variable name="barva" select="(@cislo)*40"/>
          
          <line x1="{$xStred}" y1="{($yGraf)-$yVyska}" 
            x2="{$xStred}" y2="{$yGraf}" stroke="rgb(250, {$barva}, {$barva})"
            stroke-width="{$xSloupecGraf}" stroke-linecap="butt"/>
          <text x="{$xStred}" y="{($yGraf)-5}" font-size="{($fontNadpis)*0.33}">
            <xsl:value-of select="nazev/@jednotkovaCena"/> Kč/kg
          </text>
          <text x="{$xStred}" y="{($yGraf)-($yVyska)-5}" font-size="{($fontNadpis)*0.5}">
            <xsl:value-of select="nazev/@jednotkovaCena*vaha"/> Kč
          </text>
        </xsl:for-each> 
        </g>
      </g>
    </svg>
  </xsl:template>
  
</xsl:stylesheet>
